#!/bin/bash

PROG="/home/mark/debian/mythtv/git/mythtv/mythtv/programs/mythcommflag/mythcommflag"

METHOD="--method all"
CHAN=1001
STARTTIME=20120507055900

usage() {
echo usage: $1 [opts] [chan starttime]
}

while : ; do
	case "$1" in
	-orig|--orig)
		PROG=mythcommflag
		unset METHOD
		shift
		;;
	-list|--list)
		pushd /data/mythtv/recordings > /dev/null; for i in `ls -1tr 1*.mpg` ; do basename "$i" .mpg | tr _ ' ' ; done ; popd >/dev/null
		exit 0
		;;
	-*)
		usage $0
		exit 1
		;;
	*)
		break
		;;
	esac
done

if [ -n "$1" ]; then
	CHAN=$1
	shift
fi
if [ -n "$1" ]; then
	STARTTIME=$1
	shift
fi

cat <<END > tmp.gdb
set \$_exitcode = -999
set height 0
handle SIGTERM nostop print pass
handle SIGPIPE nostop
define hook-stop
    if \$_exitcode != -999
        quit
    else
        shell echo | mail -s "NOTICE: app has stopped on unhandled signal" root
    end
end
echo tmp.gdb running app
run --chanid $CHAN --starttime $STARTTIME --loglevel debug --outputmethod full $METHOD --outputfile output.txt -v commflag --nodblog --logpath . "$@"
END

#DEBUGCOMMFLAG=1 nice -19 $PROG --chanid $CHAN --starttime $STARTTIME --loglevel debug --outputmethod full $METHOD --outputfile output.txt -v commflag --nodblog --logpath . "$@"
DEBUGCOMMFLAG=1 nice -19 gdb -x tmp.gdb $PROG

#rm tmp.gdb
